<?php
	include_once("../core/basededatos.php");
	include_once("../core/Usuario.php");
	include_once("../core/Paciente.php");
	include_once("../core/Semana.php");
	include_once("../core/Historia.php");
	include_once("../core/Cita.php");
	include_once("../core/Documento.php");
	include_once("../core/Costos.php");
	require('fpdf.php');
	session_start();	
	header("Content-Type:application/xhtml+xml; charset=ISO-8859-1");

	$pdf=new FPDF();
	
	if ($_GET['Pac'] != "No") {
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
	}	
	
	
	$pdf->AddPage();
	$pdf->SetAutoPageBreak(true);
	$pdf->SetFont('Arial','B',12);
	//Color Rojo
	//$pdf->SetTextColor(255,0,0);
	
	
	if ($_POST['Imprimir']) {
		$documento = new Documento();
		
		$texto1 = "PRESUPUESTO PARA LA REALIZACIÓN DE CIRUGÍA MENOR EN EL CONSULTORIO DENTAL DEL TIPO DE ".$_POST['txt_tipo'];
		$texto2 = "EL COSTO GLOBAL POR EL PROCEDIMIENTO ES DE ".$_POST['txt_costo'];
		$texto3 = "LA CITA DE CONTROL PARA EL RETIRO DE SUTURAS ES PARTE DEL MISMO TRATAMIENTO.";
		$texto4 = "ATENTAMENTE.";
		$texto5 = "DR. ALFONSO PEÑA MADERO.";
		$texto6 = "LA PAZ B.C.S. ".$documento->fechaTexto();
		$textofinal = $texto1."<br>".$texto2."<br>".$texto3."<br>".$texto4."<br>".$texto5;
		
		$costos = new Costos();
		$costos->texto1 = $texto1;
		$costos->texto2 = $texto2;
		$costos->texto3 = $texto3;
		$costos->texto4 = $texto4;
		$costos->texto5 = $texto5;
		$costos->texto6 = $texto6;
		if (!$costos->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Costos.";
		}
		$costos->id = mysql_insert_id();
		
		
		$documento->tipo = "costos";
		$documento->texto = $textofinal;
		$documento->id_paciente = $paciente->id;
		$documento->fecha = date(Y."-".m."-".d);
		$documento->textoid = $costos->id;
		if (!$documento->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Documento.";
		}
		
	} else {
		
		$documento = new Documento();
		$documento->id = $_GET['Doc'];
		$documento->obtenerdatos();
				
		$costos = new Costos();
		$costos->id = $documento->textoid;
		$costos->obtenerdatos();
		
		$texto1 = $costos->texto1;
		$texto2 = $costos->texto2;
		$texto3 = $costos->texto3;
		$texto4 = $costos->texto4;
		$texto5 = $costos->texto5;
		$texto6 = $costos->texto6;
	}
	
	
	$pacientenombrecompleto = "NOMBRE: ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom;
	$pacientedatos = "EDAD: ".$paciente->obtenerEdad()." AÑOS - SEXO: ".$paciente->despliegasexo();
	
	$pdf->SetXY(0,0);
	$pdf->Cell(10,45,'',0,1);	
	$pdf->Cell(180,5,$pacientenombrecompleto,0,1,L);
	$pdf->Cell(180,5,$pacientedatos,0,1,L);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto1);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto2);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto3);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto4,0,1,C);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto5,0,1,C);
	$pdf->Cell(180,5,$texto6,0,1,C);
					
	$pdf->Output();
?>